Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.model.property
Class Categories

    java.lang.Object
      net.fortuna.ical4j.model.Content
          net.fortuna.ical4j.model.Property
              net.fortuna.ical4j.model.property.Categories

All Implemented Interfaces:
  Serializable

    public class Categories

extends Property

Defines a CATEGORIES iCalendar component property.

Author:
  benf
See Also:
  Serialized Form

Field Summary

Fields inherited from class net.fortuna.ical4j.model.Property
`ACTION, ATTACH, ATTENDEE, CALSCALE, CATEGORIES, CLASS, COMMENT, COMPLETED, CONTACT, CREATED, DESCRIPTION, DTEND, DTSTAMP, DTSTART, DUE, DURATION, EXDATE, EXPERIMENTAL_PREFIX, EXRULE, FREEBUSY, GEO, LAST_MODIFIED, LOCATION, METHOD, ORGANIZER, PERCENT_COMPLETE, PRIORITY, PRODID, RDATE, RECURRENCE_ID, RELATED_TO, REPEAT, REQUEST_STATUS, RESOURCES, RRULE, SEQUENCE, STATUS, SUMMARY, TRANSP, TRIGGER, TZID, TZNAME, TZOFFSETFROM, TZOFFSETTO, TZURL, UID, URL, VERSION`

Constructor Summary
`Categories()` Default constructor.
`Categories(CategoryList cList)`
`Categories(ParameterList aList, CategoryList cList)`
`Categories(ParameterList aList, String aValue)`
`Categories(String aValue)`

Method Summary
`CategoryList` | `getCategories()`
`String` | `getValue()`
`void` | `setValue(String aValue)` Sets the current value of the property.
`void` | `validate()` Perform validation on a property.

Methods inherited from class net.fortuna.ical4j.model.Property
`equals, getName, getParameter, getParameters, getParameters, hashCode, isCalendarProperty, isComponentProperty, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Categories

    public Categories()

  Default constructor.

### Categories

    public Categories(String aValue)

Parameters:
  `aValue` - a value string for this component

### Categories

    public Categories(ParameterList aList,
                      String aValue)

Parameters:
  `aList` - a list of parameters for this component
  `aValue` - a value string for this component

### Categories

    public Categories(CategoryList cList)

Parameters:
  `cList` - a list of categories

### Categories

    public Categories(ParameterList aList,
                      CategoryList cList)

Parameters:
  `aList` - a list of parameters for this component
  `cList` - a list of categories

Method Detail

### setValue

    public final void setValue(String aValue)

  Description copied from class: `Property`
  Sets the current value of the property.

  Specified by:
    `setValue` in class `Property`
  Parameters:
    `aValue` - a string representation of the property value

### validate

    public final void validate()
                        throws ValidationException

  Description copied from class: `Property`
  Perform validation on a property.

  Specified by:
    `validate` in class `Property`
  Throws:
    `ValidationException` - where the property is not in a valid state
  See Also:
    `Property.validate()`

### getCategories

    public final CategoryList getCategories()

  Returns:
    Returns the categories.

### getValue

    public final String getValue()

  Specified by:
    `getValue` in class `Property`
  Returns:
    Returns the value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.